<?php

namespace Teknisa\Libs\Util;

class Integration implements \Zeedhi\Framework\Security\OAuth\Service{

    private $clientId;
    private $secretId;
    private $name;
    private $cdOperator;
    private $nrOrg;

    public function __construct($name, $clientId, $clientSecret, $nrOrg, $cdOperator) {
        $this->clientId = $clientId;
        $this->secretId = $clientSecret;
        $this->name = $name;
        $this->nrOrg = $nrOrg;
        $this->cdOperator = $cdOperator;
    }

    public function getClientId() {
        return $this->clientId;
    }

    public function getClientSecret() {
        return $this->secretId;
    }

    public function setName($name) {
        $this->name = $name;
    }

    public function getName() {
        return $this->name;
    }

    public function getCdOperator() {
        return $this->cdOperator;
    }

    public function getNrOrg() {
        return $this->nrOrg;
    }
} 